Index: trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisbestnw.php	(revision 61)
+++ trunk/var/www/info/alkis/alkisbestnw.php	(revision 64)
@@ -9,9 +9,9 @@
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
 	14.12.2010  Pfad zur Conf
+	17.12.2010  Astrid Emde: Prepared Statements (pg_query -> pg_prepare + pg_execute)
 
 	ToDo:
 	Zahler fuer Anzahl GB und FS in der Liste (ausgeben wenn > 10)
 */
-//ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 ini_set('error_reporting', 'E_ALL');
 session_start();
@@ -81,5 +81,5 @@
 	$blattart=blattart($blattkey);
 
-	// Balken	
+	// Balken
 	echo "<p class='gbkennz'>ALKIS Bestand ".$row["bezirk"]." - ".$row["nr"]."&nbsp;</p>\n";
 
@@ -88,9 +88,9 @@
 	// Kennzeichen im Rahmen
 	echo "\n<table class='outer'>\n<tr>\n\t<td>";
-		if ($blattkey == 1000) {		
+		if ($blattkey == 1000) {
 			echo "\n\t<table class='kennzgb' title='Bestandskennzeichen'>";
-		} else {		
+		} else {
 			echo "\n\t<table class='kennzgbf' title='Bestandskennzeichen'>"; // dotted
-		}			
+		}
 			echo "\n\t<tr>";
 				echo "\n\t\t<td class='head'>".dienststellenart($row["stellenart"])."</td>";
@@ -107,5 +107,5 @@
 					echo "<span class='key'>".$row["bezirk"]."</span><br>";
 				}
-				echo htmlentities($row["beznam"], ENT_QUOTES, "UTF-8")."</td>";				
+				echo htmlentities($row["beznam"], ENT_QUOTES, "UTF-8")."</td>";
 				echo "\n\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$row["nr"]."</span></td>";
 			echo "\n\t</tr>";
@@ -151,8 +151,8 @@
 echo "\n<tr>";
 	echo "\n\t<td class='head'>&nbsp;</td>";
-	echo "\n\t<td class='head'>Buchungsart</td>";	//2
+	echo "\n\t<td class='head'>Buchungsart</td>";
 	echo "\n\t<td class='head'>Anteil</td>";
-	echo "\n\t<td class='head'>Gemarkung</td>";		//4
-	echo "\n\t<td class='head'>Flur</td>";				//5
+	echo "\n\t<td class='head'>Gemarkung</td>";
+	echo "\n\t<td class='head'>Flur</td>";
 	echo "\n\t<td class='head' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>Flurst.</span></td>";
 	echo "\n\t<td class='head fla'>Fl&auml;che</td>"; // 7
@@ -232,5 +232,5 @@
 			$sql.="AND   v.beziehungsart='istBestandteilVon' ";
 			$sql.="ORDER BY b.land, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung;";
-			
+
 			$fbres=pg_query($con,$sql);
 			if (!$fbres) {echo "<p class='err'>Fehler bei fiktivem Blatt<br>".$sql."</p>\n";}
@@ -241,6 +241,6 @@
 				$fbbez   = $fbrow["bezirk"];
 				$fbblatt = $fbrow["blatt"];
-				$fbbart  = blattart($fbrow["blattart"]);	
-				$beznam	= $fbrow["beznam"];			
+				$fbbart  = blattart($fbrow["blattart"]);
+				$beznam	= $fbrow["beznam"];
 				$b++;
 			}
@@ -252,17 +252,17 @@
 			echo "\n<tr>";
 
-				echo"\n\t<td>";			
+				echo"\n\t<td>";
 					if($bvnr == $altbvnr) {	// gleiches Grundstueck
 						echo "&nbsp;"; // Anzeige unterdruecken
 					} else {
-						echo "<a name='bvnr".$lfdnr."'></a>"; // Sprungmarke				
+						echo "<a name='bvnr".$lfdnr."'></a>"; // Sprungmarke
 						echo "<span class='wichtig'>".$bvnr."</span>"; // Sp.1 Erbbau BVNR
 						if ($idanzeige) {linkgml($gkz, $gml_bs, "Buchungsstelle");}
 						$altbvnr = $bvnr; // Gruppenwechsel merken
-					}			
+					}
 				echo "</td>";
 
 				echo "\n\t<td class='dien'>"; // Sp.2 Buchung
-					if ($showkey) {					
+					if ($showkey) {
 						echo "<span class='key'>".$row["buchungsart"]."</span> ";
 					}
@@ -272,7 +272,7 @@
 
 				echo "\n\t<td class='dien'>"; // Sp.4 Gemarkg. hier Bezirk
-					if ($showkey) {					
+					if ($showkey) {
 						echo "<span class='key'>".$fbbez."</span> ";
-					}					
+					}
 					echo $beznam;
 				echo "</td>"; // Sp.4 hier Bezirk
@@ -289,5 +289,5 @@
 					if ($idanzeige) {
 						linkgml($gkz, $gml_bsan, "Buchungsstelle");
-					}	
+					}
 
 				echo "</td>"; 
@@ -297,5 +297,5 @@
 						echo "<span class='key'>".$rowan["buchungsart"]."</span> ";
 					}
-					echo $baan." ";					
+					echo $baan." ";
 				echo "</td>";
 
@@ -315,7 +315,7 @@
 			// F l u r s t u e c k s d a t e n  zur  a n d e r e n  Buchungsstelle
 		//	$aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, $baan, $anteil, false);
-			// Buchungsart wird nur in erster Zeile ausgegeben, hier leer		
+			// Buchungsart wird nur in erster Zeile ausgegeben, hier leer
 		   $aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, "", $anteil, false); // return = Anzahl der FS
-			
+
 			// +++ Gibt es ueberhaupt Sondereigentum beim fiktiven Blatt??
 			if ($rowan["nrap"] != "") {
@@ -341,8 +341,8 @@
 					echo "\n\t<td></td>";
 					echo "\n\t<td colspan=4>"; // Gemarkg, Flur, Flurst, Flaeche
-						echo "<p class='warn'>(keine Flurst&uuml;cke)";					
+						echo "<p class='warn'>(keine Flurst&uuml;cke)";
 					echo "</td>";
 					echo "\n\t<td></td>";
-				echo "\n</tr>";			
+				echo "\n</tr>";
 			} 
 			*/
@@ -369,5 +369,5 @@
 		echo "\n</tr>";
 	}
-	// Sondereigentumsbeschreibung	
+	// Sondereigentumsbeschreibung
 	if ($row["sond"] != "") {
 		echo "\n<tr>";
@@ -429,5 +429,5 @@
 
 			echo "\n<h3><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Berechtigte Grundb&uuml;cher</h3>\n";
-			
+
 			// Tabelle Kopf ausgeben
 			echo "\n<table class='outer'>";
@@ -450,5 +450,5 @@
 		$lfdnr=$rowb["lfdnr"];
 		$bvnr   = str_pad($lfdnr, 4, "0", STR_PAD_LEFT);
-		
+
 		echo "\n<tr>";
 			echo "\n\t<td>".$rowb["land"]."</td>";
@@ -456,5 +456,5 @@
 			echo "\n\t<td>"; // Amtsgericht
 				echo dienststellenart($rowb["stellenart"])." ";
-				if ($showkey) {				
+				if ($showkey) {
 					echo "<span class='key'>".$rowb["stelle"]."</span> ";
 				}
@@ -464,10 +464,10 @@
 
 			echo "\n\t<td>";
-				if ($showkey) {				
+				if ($showkey) {
 					echo "<span class='key'>".$rowb["bezirk"]."</span> ";
 				}
 				echo $rowb["beznam"];
 			echo "</td>";
-			
+
 			echo "\n\t<td><span class='wichtig'>".$rowb["blatt"]."</span>";
 				if ($idanzeige) {linkgml($gkz, $gml_b, "Buchungsblatt");}
